Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCarbonRenderWindowInteractor Class Reference

`#include <vtkCarbonRenderWindowInteractor.h>`

Inheritance diagram for vtkCarbonRenderWindowInteractor:

[legend]
Collaboration diagram for vtkCarbonRenderWindowInteractor:

[legend]
List of all members.

## Detailed Description

implements Carbon specific functions

Date:
  2002/08/28 16:44:22

Revision:
  1.3

required by vtkRenderWindowInteractor.

The interactor interfaces with vtkCarbonWindow.mm and vtkCarbonGLView.mm to trap messages from the Carbon window manager and send them to vtk.

Events:
  vtkCommand::LeftButtonReleaseEvent vtkCommand::RightButtonPressEvent vtkCommand::MouseMoveEvent vtkCommand::MiddleButtonReleaseEvent vtkCommand::StartEvent vtkCommand::RightButtonReleaseEvent vtkCommand::MiddleButtonPressEvent vtkCommand::ConfigureEvent vtkCommand::KeyPressEvent vtkCommand::CharEvent vtkCommand::LeftButtonPressEvent vtkCommand::KeyReleaseEvent

Created by:
  - Starreveld, Yves

CVS contributions (if > 5%):
  - Starreveld, Yves (97%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkCarbonRenderWindowInteractor.h)`
  - .`cxx` (`/Rendering/vtkCarbonRenderWindowInteractor.cxx)`

Definition at line 50 of file vtkCarbonRenderWindowInteractor.h.

## Public Types
typedef vtkRenderWindowInteractor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Initialize ()
virtual void | Start ()
void | TerminateApp (void)
virtual void | ExitCallback ()
virtual void | Enable ()
virtual void | Disable ()
virtual void | SetInstallMessageProc (int)
virtual int | GetInstallMessageProc ()
virtual void | InstallMessageProcOn ()
virtual void | InstallMessageProcOff ()
int | CreateTimer (int timertype)
int | DestroyTimer (void)
## Static Public Methods
vtkCarbonRenderWindowInteractor * | New ()
int | IsTypeOf (const char *type)
vtkCarbonRenderWindowInteractor * | SafeDownCast (vtkObject *o)
void | SetClassExitMethod (void(*f)(void *), void *arg)
void | SetClassExitMethodArgDelete (void(*f)(void *))
## Protected Methods
| vtkCarbonRenderWindowInteractor ()
| ~vtkCarbonRenderWindowInteractor ()
## Protected Attributes
WindowPtr | WindowId
EventLoopTimerRef | TimerId
EventHandlerUPP | OldProc
int | InstallMessageProc
## Static Protected Attributes
void(* | ClassExitMethod )(void *)
void(* | ClassExitMethodArgDelete )(void *)
void * | ClassExitMethodArg

## Member Typedef Documentation

typedef vtkRenderWindowInteractor vtkCarbonRenderWindowInteractor::Superclass

| Reimplemented from vtkRenderWindowInteractor. Definition at line 55 of file vtkCarbonRenderWindowInteractor.h.

## Constructor & Destructor Documentation

vtkCarbonRenderWindowInteractor::vtkCarbonRenderWindowInteractor | ( |  | ) | `[protected]`

vtkCarbonRenderWindowInteractor::~vtkCarbonRenderWindowInteractor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCarbonRenderWindowInteractor* vtkCarbonRenderWindowInteractor::New | ( |  | ) | `[static]`

| Construct object so that light follows camera motion. Reimplemented from vtkRenderWindowInteractor.

virtual const char* vtkCarbonRenderWindowInteractor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRenderWindowInteractor.

int vtkCarbonRenderWindowInteractor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindowInteractor.

virtual int vtkCarbonRenderWindowInteractor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindowInteractor.

vtkCarbonRenderWindowInteractor* vtkCarbonRenderWindowInteractor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRenderWindowInteractor.

void vtkCarbonRenderWindowInteractor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkCarbonRenderWindowInteractor::Initialize | ( |  | ) | `[virtual]`

| Initialize the even handler Reimplemented from vtkRenderWindowInteractor.

virtual void vtkCarbonRenderWindowInteractor::Enable | ( |  | ) | `[virtual]`

| Enable/Disable interactions. By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkCarbonRenderWindowInteractor::Disable | ( |  | ) | `[virtual]`

| Enable/Disable interactions. By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkCarbonRenderWindowInteractor::Start | ( |  | ) | `[virtual]`

| This will start up the event loop and never return. If you call this method it will loop processing events until the application is exited. Reimplemented from vtkRenderWindowInteractor.

virtual void vtkCarbonRenderWindowInteractor::SetInstallMessageProc | ( | int |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

virtual int vtkCarbonRenderWindowInteractor::GetInstallMessageProc | ( |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

virtual void vtkCarbonRenderWindowInteractor::InstallMessageProcOn | ( |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

virtual void vtkCarbonRenderWindowInteractor::InstallMessageProcOff | ( |  | ) | `[virtual]`

| By default the interactor installs a MessageProc callback which intercepts windows messages to the window and controls interactions. MFC or BCB programs can prevent this and instead directly route any mouse/key messages into the event bindings by setting InstallMessgeProc to false.

void vtkCarbonRenderWindowInteractor::TerminateApp | ( | void |  | ) | `[virtual]`

| Carbon specific application terminate, calls ClassExitMethod then calls PostQuitMessage(0) to terminate app. An application can Specify ExitMethod for alternative behaviour (i.e. suppresion of keyboard exit) Reimplemented from vtkRenderWindowInteractor.

int vtkCarbonRenderWindowInteractor::CreateTimer | ( | int | timertype | ) | `[virtual]`

| Carbon timer methods Reimplemented from vtkRenderWindowInteractor.

int vtkCarbonRenderWindowInteractor::DestroyTimer | ( | void |  | ) | `[virtual]`

| Carbon timer methods Reimplemented from vtkRenderWindowInteractor.

void vtkCarbonRenderWindowInteractor::SetClassExitMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) | `[static]`

| Methods to set the default exit method for the class. This method is only used if no instance level ExitMethod has been defined. It is provided as a means to control how an interactor is exited given the various language bindings (tcl, Carbon, etc.).

void vtkCarbonRenderWindowInteractor::SetClassExitMethodArgDelete | ( | void(* | f)(void *) | ) | `[static]`

| Methods to set the default exit method for the class. This method is only used if no instance level ExitMethod has been defined. It is provided as a means to control how an interactor is exited given the various language bindings (tcl, Carbon, etc.).

virtual void vtkCarbonRenderWindowInteractor::ExitCallback | ( |  | ) | `[virtual]`

| These methods correspond to the the Exit, User and Pick callbacks. They allow for the Style to invoke them. Reimplemented from vtkRenderWindowInteractor.

## Member Data Documentation

WindowPtr vtkCarbonRenderWindowInteractor::WindowId`[protected]`

| Definition at line 121 of file vtkCarbonRenderWindowInteractor.h.

EventLoopTimerRef vtkCarbonRenderWindowInteractor::TimerId`[protected]`

| Definition at line 122 of file vtkCarbonRenderWindowInteractor.h.

EventHandlerUPP vtkCarbonRenderWindowInteractor::OldProc`[protected]`

| Definition at line 123 of file vtkCarbonRenderWindowInteractor.h.

int vtkCarbonRenderWindowInteractor::InstallMessageProc`[protected]`

| Definition at line 124 of file vtkCarbonRenderWindowInteractor.h.

void(* vtkCarbonRenderWindowInteractor::ClassExitMethod)(void *)`[static, protected]`

| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. tcl, java, Carbon)

void(* vtkCarbonRenderWindowInteractor::ClassExitMethodArgDelete)(void *)`[static, protected]`

| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. tcl, java, Carbon)

void* vtkCarbonRenderWindowInteractor::ClassExitMethodArg`[static, protected]`

| Class variables so an exit method can be defined for this class (used to set different exit methods for various language bindings, i.e. tcl, java, Carbon) Definition at line 134 of file vtkCarbonRenderWindowInteractor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkCarbonRenderWindowInteractor.h